% This function is used to generate an array of beam and beam hinge 
% objects 
function [xBeamObjects xBeamHingeObjects zBeamObjects zBeamHingeObjects]...
    = defineBeamsAndBeamHinges(buildingGeometry,ClassesDirectory,...
    jointNodes,XBeamPropertiesLocation,XBeamHingePropertiesLocation,...
    ZBeamPropertiesLocation,ZBeamHingePropertiesLocation,...
    LoadParametersLocation)
    
     % Create empty array to store xBeam objects
     xBeamObjects = cell(buildingGeometry.numberOfStories,...
        buildingGeometry.numberOfXBays,...
        buildingGeometry.numberOfZBays + 1);

    % Create empty array to store xBeam hinge objects
    xBeamHingeObjects = cell(buildingGeometry.numberOfStories,...
        buildingGeometry.numberOfXBays,...
        buildingGeometry.numberOfZBays + 1);

    % Variable used to count number of xBeams
    count = 1;
    % Loop over the number of stories
    for i = 1:buildingGeometry.numberOfStories
        % Loop over the number of Z-Direction column lines
        for j = 1:buildingGeometry.numberOfZBays + 1
            % Loop over number of X-Direction bays
            for k = 1:buildingGeometry.numberOfXBays
                cd(ClassesDirectory)
                xBeamObjects{i,k,j} = saveToStruct(xBeam(count,i + 1,...
                    k,j,jointNodes,XBeamPropertiesLocation,...
                    buildingGeometry,ClassesDirectory,...
                    LoadParametersLocation));
                cd(ClassesDirectory)
                xBeamHingeObjects{i,k,j} = saveToStruct(xBeamHinge(...
                    xBeamObjects{i,k,j},...
                    XBeamHingePropertiesLocation,buildingGeometry,...
                    ClassesDirectory));
                count = count + 1;
            end
        end
    end

    % Create empty array to store zBeam objects
    zBeamObjects = cell(buildingGeometry.numberOfStories,...
        buildingGeometry.numberOfXBays + 1,...
        buildingGeometry.numberOfZBays);

    % Create empty array to store zBeam hinge objects
    zBeamHingeObjects = cell(buildingGeometry.numberOfStories,...
        buildingGeometry.numberOfXBays + 1,...
        buildingGeometry.numberOfZBays);

    % Variable used to count number of xBeams
    count = 1;
    % Loop over the number of stories
    for i = 1:buildingGeometry.numberOfStories
        % Loop over the number of Z-Direction bays
        for j = 1:buildingGeometry.numberOfZBays
            % Loop over number of X-Direction column lines
            for k = 1:buildingGeometry.numberOfXBays + 1
                cd(ClassesDirectory)
                zBeamObjects{i,k,j} = saveToStruct(zBeam(count,i + 1,...
                    k,j,jointNodes,ZBeamPropertiesLocation,...
                    buildingGeometry,ClassesDirectory,...
                    LoadParametersLocation));
                cd(ClassesDirectory)
                zBeamHingeObjects{i,k,j} = saveToStruct(zBeamHinge(...
                    zBeamObjects{i,k,j},ZBeamHingePropertiesLocation,...
                    buildingGeometry,ClassesDirectory));
                count = count + 1;            
            end
        end
    end
end

