% This function is used to generate an array of column and column hinge 
% objects 
function [columnObjects columnHingeObjects] = ...
    defineColumnsAndColumnHinges(buildingGeometry,ClassesDirectory,...
    jointNodes,ColumnPropertiesLocation,ColumnHingePropertiesLocation,...
    LoadParametersLocation)

    
    % Create empty array to store column objects
    columnObjects = cell(buildingGeometry.numberOfStories,...
    buildingGeometry.numberOfXBays + 1,...
    buildingGeometry.numberOfZBays + 1);

    % Create empty array to store column hinge objects
    columnHingeObjects = cell(buildingGeometry.numberOfStories,...
    buildingGeometry.numberOfXBays + 1,...
    buildingGeometry.numberOfZBays + 1);

    % Variable used to count number of columns    
    count = 1;
    % Loop over the number of stories
    for i = 1:buildingGeometry.numberOfStories
        % Loop over the number of Z-Direction column lines
        for j = 1:buildingGeometry.numberOfZBays + 1
            % Loop over number of X-Direction column lines
            for k = 1:buildingGeometry.numberOfXBays + 1
                cd(ClassesDirectory)
                columnObjects{i,k,j} = saveToStruct(column(...
                    count,i,k,j,jointNodes,...
                    ColumnPropertiesLocation,buildingGeometry,...
                    ClassesDirectory,...
                    LoadParametersLocation));
                 cd(ClassesDirectory)
                columnHingeObjects{i,k,j} = saveToStruct(columnHinge(...
                    columnObjects{i,k,j},ColumnHingePropertiesLocation,...
                    buildingGeometry,ClassesDirectory));
                count = count + 1;
            end
        end
    end
end

